CC=cc
FC=ftn
CXX=CC

CCFLAGS=-O3 -Wall -Wextra -pedantic
FCFLAGS=-O3
CXXFLAGS=-O3 -Wall -Wextra -pedantic -std=c++11

LDFLAGS=

LDFLAGS_TESTS=../locks.ar ../fompi.ar -L../mpitypes/install/lib -ldmapp -lmpitypes -L../libtopodisc -ltopodisc

# clear out all suffixes
.SUFFIXES:
# list only those we use
.SUFFIXES: .o .c .f90 .cpp

# some implicit rules
.c.o:
	$(CC) $(CCFLAGS) -c $<

.f90.o:
	$(FC) $(FCFLAGS) -c $<

.cpp.o:
	$(CXX) $(CXXFLAGS) -c $<
