#include "test_locks.h"

using namespace std;

/* 
 * Test which acquires and releases reader locks very often 
 *
 * Created on: August 25, 2015
 *     Author: Patrick Schmid
 */
void RLockALot(RWLock rw_lock)
{
	int i, rank;
	MPI_Comm comm;	

	comm = MPI_COMM_WORLD;
	MPI_Comm_rank(comm, &rank);
	if(rank == 0){
		printf("Start reader lock a lot test\n---------------------------\n\n");
	}
	for(i = 0; i < 10000; i++){
		rw_lock.reader_acquire();
		rw_lock.reader_release();
	}
	if(rank == 0){
		printf("PASSED\n\n----------------------------------------------------\n");
	}
}