#ifndef TEST_FOMPI
#define TEST_FOMPI

#include <stdio.h>
#include <assert.h>

#include "fompi.h"
#include "Locks.h"

extern int marker_dist, hmcs_threshold, tree_threshold, root_threshold, reader_threshold, writer_rate;

void MCS_rank_count(MCSLock mcsLock);
void MCS_lock_a_lot(MCSLock mcsLock);
void HMCS_rank_count(HMCSLock hmcsLock);
void HMCS_lock_a_lot(HMCSLock hmcsLock);
void Int64Test();
void IntTest();
void RWRankCount(RWLock rw_lock);
void RLockALot(RWLock rw_lock);
void WLockALot(RWLock rw_lock);
void RWLockALot(RWLock rw_lock);
void RWCounter(RWLock rw_lock);
void foMPICounter();

//#define __DEBUG 0

#define MCS_RANK_COUNT 1
#define MCS_LOCK_A_LOT 1
#define HMCS_RANK_COUNT 1
#define HMCS_LOCK_A_LOT 1
#define INT64_TEST 0
#define INT_TEST 0
#define RW_RANK_COUNT 1
#define R_LOCK_A_LOT 1
#define W_LOCK_A_LOT 1
#define RW_LOCK_A_LOT 1
#define RW_COUNTER 1
#define foMPI_COUNTER 1

#endif
