#include "test_locks.h"

using namespace std;

/* 
 * Test to check whether foMPI_Compare_and_swap and foMPI_Fetch_and_op work properly 
 * with 32 bit int. Only for 3 threads! 
 *
 * Created on: August 25, 2015
 *     Author: Patrick Schmid
 */
void IntTest(){
	
	MPI_Comm comm;
	int i;
	RWLock rw_lock[25];
	
	comm = MPI_COMM_WORLD;

	for(i = 0; i < 25; i++){
		rw_lock[i].initialize();
		printf("%i\n", i);
	}
	
	for(i = 0; i < 25; i++){
		rw_lock[i].finalize();
	}
}